/*
 * Class INDEXABLE [NATURAL_8, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_718 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_718 [] = {0xFF01,237,717,197,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_718 [] = {0xFF01,717,197,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_718 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_718 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_718 [] = {0xFF01,717,197,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_718 [] = {0xFF01,717,197,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_718 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_718 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_718 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_718 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_718 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_718 [] = {717,197,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_718 [] = {0xFF01,717,197,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_718 [] = {0xFF01,719,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_718 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_718 [] = {0xFF01,711,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_718 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_718 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_718 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_718 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_718 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_718 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_718[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_718), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_718), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_718), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_718), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_718), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_718), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_718), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_718), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_718), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_718), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_718), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_718), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_718), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_718), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1911, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_718), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_718), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1961, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_718), 3380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_718), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_718), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_718), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_718), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_718), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_718), -1, 0xFFFFFFFF},
};
void Init718(void)
{
	IDSC(desc_718, 0, 717);
	IDSC(desc_718 + 1, 1, 717);
	IDSC(desc_718 + 32, 77, 717);
	IDSC(desc_718 + 41, 282, 717);
	IDSC(desc_718 + 50, 99, 717);
	IDSC(desc_718 + 52, 187, 717);
	IDSC(desc_718 + 58, 256, 717);
	IDSC(desc_718 + 61, 229, 717);
	IDSC(desc_718 + 62, 172, 717);
}


#ifdef __cplusplus
}
#endif
